#ifndef Echo_Caller__h_
#define Echo_Caller__h_
/**
 * @file Echo_Caller.h
 *
 * $Id: Echo_Caller.h 76591 2007-01-25 18:17:52Z elliott_c $
 *
 * @author Carlos O'Ryan <coryan@atdesk.com>
 *
 */
#include "TestS.h"

class Echo_Caller : public POA_Test::Echo_Caller
{
public:
  Echo_Caller(CORBA::ORB_ptr orb);

  virtual void start_task(Test::Echo_ptr client)
    ACE_THROW_SPEC((CORBA::SystemException));

  virtual void shutdown(void)
    ACE_THROW_SPEC((CORBA::SystemException));

private:
  CORBA::ORB_var orb_;
};

#endif /* Echo_Caller__h_ */
