// $Id: server_i.h 76591 2007-01-25 18:17:52Z elliott_c $

#include "testS.h"

class server_i : public POA_server
{
public:
  server_i (int quiet,
            CORBA::ORB_ptr orb);

  void ping (CORBA::UShort time_to_live)
    ACE_THROW_SPEC ((CORBA::SystemException));

  void start (client_ptr c,
              CORBA::UShort time_to_live)
    ACE_THROW_SPEC ((CORBA::SystemException));

  void shutdown (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

private:
  int quiet_;
  // Be quiet.

  client_var client_;
  // Pointer to server.

  CORBA::ORB_var orb_;
  // Pointer to orb.
};
